Bug 194042 - devel/protobuf: convert to INSTALL_TARGET=install-strip
Summary: devel/protobuf: convert to INSTALL_TARGET=install-strip
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Vanilla I. Shu
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2014-09-30 14:50 UTC by Jan Beich
Modified: 2015-01-07 14:34 UTC (History)
0 users

See Also:


Attachments
fix (830 bytes, patch)
2014-09-30 14:50 UTC, Jan Beich
no flags Details | Diff
|poudriere testport -P| log (9.3R i386) (119.85 KB, text/plain)
2014-09-30 14:52 UTC, Jan Beich
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2014-09-30 14:50:13 UTC
Created attachment 147847 [details]
fix
Comment 1 Bugzilla Automation freebsd_committer 2014-09-30 14:50:13 UTC
Auto-assigned to maintainer vanilla@FreeBSD.org
Comment 2 Jan Beich freebsd_committer 2014-09-30 14:52:00 UTC
Created attachment 147848 [details]
|poudriere testport -P| log (9.3R i386)

The following warning is unrelated, see CHANGES from 20140922 for details.

===>  Building package for protobuf-2.5.0_4
pkg-static: Warning: @dirrm is deprecated please use @dir
pkg-static: Warning: @dirrm is deprecated please use @dir
pkg-static: Warning: @dirrm is deprecated please use @dir
pkg-static: Warning: @dirrm is deprecated please use @dir
Comment 3 Vanilla I. Shu freebsd_committer 2014-10-01 08:45:36 UTC
Committed, thanks.
Comment 4 commit-hook freebsd_committer 2014-10-01 08:46:18 UTC
A commit references this bug:

Author: vanilla
Date: Wed Oct  1 08:45:21 UTC 2014
New revision: 369705
URL: https://svnweb.freebsd.org/changeset/ports/369705

Log:
  1: fix tests build
  2: switch to install-strip.
  3: fix pkg-plist to chase pkg-1.3.8.
  4: drop maintainer bit.

  PR:		ports/194041 ports/194042
  Submitted by:	Jan Beich jbeich at vfemail dot net

Changes:
  head/devel/protobuf/Makefile
  head/devel/protobuf/files/
  head/devel/protobuf/files/patch-src__google__protobuf__testing__zcgunzip.cc
  head/devel/protobuf/files/patch-src__google__protobuf__testing__zcgzip.cc
  head/devel/protobuf/pkg-plist